<?php

namespace Drp\NativeEventApp\GraphQL\Mutations;

use Drp\NativeEventApp\Models\Device;
use Nuwave\Lighthouse\Support\Contracts\GraphQLContext;

class StoreFirebaseDeviceId
{
    public function __invoke($rootValue, array $args, GraphQLContext $context) // phpcs:ignore
    {
        $user = $context->request()->user();

        Device::storeFirebaseDeviceId($user->token, $args['firebaseDeviceId']);

        return true;
    }
}
