<?php
/** @var \Illuminate\Database\Eloquent\Factory $factory */

use Faker\Generator as Faker;
use Drp\NativeEventApp\Models\QuizQuestion;
use Drp\NativeEventApp\Models\QuizAnswer;

$factory->define(QuizAnswer::class, static function (Faker $faker) {
    return [
        'quizQuestionId' => factory(QuizQuestion::class),
        'title' => $faker->sentence,
        'value' => $faker->word,
        'image' => $faker->imageUrl(),
        'isCorrect' => 1,
    ];
});
