<?php

namespace Drp\NativeEventApp\Test\Support\Builders;

use Drp\NativeEventApp\Models\QuizAnswer;

class AnswerBuilder
{
    public function makeMany(array $questions): array
    {
        return array_map(function ($question) {
            return factory(QuizAnswer::class)->make(array_merge(['quizQuestionId' => null], $question));
        }, $questions);
    }
}
