<?php

namespace Drp\NativeEventApp\Test\Unit;

use Drp\NativeEventApp\Models\Agenda;
use Drp\NativeEventApp\Models\AgendaItem;
use Drp\NativeEventApp\Test\TestCase;

class AgendaTest extends TestCase
{
    /** @test */
    public function can_get_items()
    {
        $agenda = factory(Agenda::class)->create();
        factory(AgendaItem::class, 2)->create(['agendaId' => $agenda->id]);

        $this->assertCount(2, $agenda->items);
        $this->assertTrue($agenda->is($agenda->items->first()->agenda));
    }
}
